<mat-toolbar class="toolbarHeader">
  <button mat-icon-button *ngIf="showMenuButton()"
          (click)="sidenav.toggle()">
    <mat-icon>menu</mat-icon>
  </button>

  <div class="logo" fxLayout="row" fxLayoutAlign="center center center">
    <span style="color: white;">Yummy</span> &nbsp;
    <span style="color: gray;">Wallet</span>
  </div>
  <span class="spacer"></span>
  <span (click)="logout()" fxLayout="row"  class="logout"
        fxLayoutAlign="center center center" fxLayoutGap="5px">
      <mat-icon  >exit_to_app</mat-icon>
      <label>Έξοδος</label>
    </span>
</mat-toolbar>

<mat-sidenav-container class="drawerSection" autosize>

  <mat-sidenav #sidenav
               class="sidenav"
               [mode]="setSidebarMode()"
               [opened]="showSidebar()"
               (closedStart)="resetSidebar()"
               [fixedInViewport]="false" [fixedTopGap]="0"
               [fixedBottomGap]="0"
               (click)="sidenav.mode === 'side' || sidenav.close()">
    <mat-list class="navList">

      <mat-list-item class="sidebarItem" *ngFor="let sidebarItem of sideBarItems" [ngClass]="{'isActive': isActive(sidebarItem)}"
                     (click)="action(sidebarItem)">
        <mat-icon matListIcon *ngIf="sidebarItem.icon">{{sidebarItem.icon}}</mat-icon>
        <label matLine> {{sidebarItem.title}} </label>
      </mat-list-item>
    </mat-list>
  </mat-sidenav>

  <mat-sidenav-content class="mainContent">
    <app-loading [loading]="loading"></app-loading>
    <div class="mainRouterContent">
      <router-outlet></router-outlet>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>

